﻿using System;
using System.Collections.Generic;
using System.Text;
using Telerik.WinControls.UI;
using Telerik.WinControls;
using System.ComponentModel;

namespace SlidingPanel
{
    class ChevronButton : LightVisualElement
    {
        static ChevronButton()
        {
            ItemStateManagerFactoryRegistry.AddStateManagerFactory(new ChevronButtonStateManager(), typeof(ChevronButton));
        }

        public static RadProperty IsExpandedProperty = RadProperty.Register(
         "Expanded",
         typeof(bool),
         typeof(ChevronButton),
         new RadElementPropertyMetadata(true));

        [DesignerSerializationVisibility(DesignerSerializationVisibility.Hidden)]
        public virtual bool Expanded
        {
            get
            {
                return (bool)this.GetValue(IsExpandedProperty);
            }
            set
            {
                this.SetValue(IsExpandedProperty, value);
            }
        }
    }
}
