﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;


namespace SlidingPanel
{
    public partial class Form1 : Form
    {
        private ControlsExpander controlsExpander;
        string defaultResourceNamespace = "SlidingPanel.Resources";

        public Form1()
        {
            InitializeComponent();

            this.controlsExpander = new ControlsExpander();
            this.controlsExpander.Size = new System.Drawing.Size(314, 400);
            this.Controls.Add(this.controlsExpander);

            PopulateControlsList(this.controlsExpander.ControlsList);

            ThemeResolutionService.LoadPackageResource(defaultResourceNamespace + ".ExamplesBlue.tssp");
            ThemeResolutionService.RegisterThemeFromStorage(ThemeStorageType.Resource, defaultResourceNamespace + ".ExamplesBlue_QuickStart_ControlsExpander.xml");
            ThemeResolutionService.ApplyThemeToControlTree(this, "ExamplesBlue");

            this.controlsExpander.ControlsList.SelectedIndex = 0;
        }

        public void PopulateControlsList(RadListElement listElement)
        {
            for (int i = 0; i < 10; i++)
            {
                DemoAppListDataItem listItem = new DemoAppListDataItem();
                listItem.Text = "Item " + i;
                listElement.Items.Add(listItem);
            }
        }
    }
}
